Instalação do driver Nvidia no Debian e em distros derivadas

Certo tempo atrás fiz uma dica sobre a instalação dos drivers Nvidia para o Debian Squeeze (quando este ainda estava em fase de testes), desta vez sobretudo devido a mudança dos pacotes, demonstrarei como é fácil instalar esses drivers seja num Debian 'puro' ou em distros baseadas neste, tais como o aptosid, antiX, CrunchBang, LMDE ou MEPIS.

[ Hits: 22.466 ]

Por: edps em 12/06/2011 | Blog: https://edpsblog.wordpress.com/


Instalação



A dica a qual me refiro é essa e os passos descritos para a instalação dos drivers Nvidia em placas mais modernas eram esses:

sudo apt-get install build-essential linux-headers-`uname -r` nvidia-kernel-dkms nvidia-kernel-195.36.24 nvidia-settings nvidia-xconfig module-assistant

Agora algumas coisas mudaram e que fique claro que os passos a seguir são os que utilizo no Debian e em todas as distros baseadas nele que venho a testar. A distro em questão é o aptosid cujo método de instalação sugerido em seu manual difere deste que aqui exponho. Neste utilizo o pacote 'DKMS' para a criação de novos módulos à medida que novas atualizações ou versões do kernel estejam disponíveis.

* apesar do que expus acima, recomendo aos usuários desta distro que adotem o procedimento descrito lá no aptosid manual, principalmente devido a essa basear-se no Debian SID/Unstable:
** recomendo também que leiam o distro-warnings ou assinem o RSS da distro: *** fiz essa demonstração apenas para mostrar que esse método funciona, seja no Debian SID/Unstable, Debian Wheezy/Testing ou Squeeze/Stable.

Sources.list e atualização do sistema

Primeiramente devemos adicionar as seções 'contrib' e 'non-free' no arquivo /etc/apt/sources.list, então:

sudo nano /etc/apt/sources.list

e deixar as entradas para o repositório parecidas com essas:

### Debian SID/Unstable.
### Chave GPG: sudo apt-get install debian-archive-keyring debian-multimedia-keyring
deb http://mirror.rit.edu/debian/ sid main contrib non-free
deb http://www.debian-multimedia.org sid main non-free

* no caso do aptosid o arquivo é o: /etc/apt/sources.list.d/debian.list.

A seguir instalamos a chave GPG, atualizamos as listas de pacotes e partimos para a instalação.

sudo apt-get install debian-archive-keyring debian-multimedia-keyring
$ sudo apt-get update
$ sudo apt-get upgrade
$ sudo apt-get dist-upgrade


* novamente pro caso do aptosid, façam como o sugerido em seu manual, saiam do ambiente gráfico, finalizem o mesmo e atualizem o sistema.

** Eu não faço isso mas (cada caso é um caso!) e SEMPRE rodo uma simulação de um dist-upgrade direcionando-a para um arquivo de texto ( apt-get dist-upgrade -sy > dist-upgrade.txt ), depois o examino o arquivo e por fim se nada de grave for notado, sigo com o dist-upgrade, do contrário opto pelo tradicional feijão-com-arroz: apt-get upgrade, então para os usuários do aptosid e para quem desejar:

Ctrl+Alt+F1 > logue-se como root > digite:

# init 3

e depois:

# apt-get upgrade
# apt-get dist-upgrade


observando o que já foi exposto acima.

* No caso do último comando (dist-upgrade) só o façam se tiverem a certeza de que nada de grave ocorrerá, por isso a sugestão acima de leitura|acompanhamento do distro-warnings.

Instalação dos pacotes

O método abaixo é o recomendado para aqueles que possuem placas de vídeo mais modernas, para o caso das outras leiam a próxima página, e escolham somente uma dessas opções, o meu caso é este.

sudo apt-get install build-essential bison dkms flex linux-headers-`uname -r` make module-init-tools fakeroot nvidia-glx nvidia-kernel-dkms nvidia-vdpau-driver nvidia-settings nvidia-xconfig

Na imagem abaixo mostra-se as informações sobre o kernel em uso (2.6.37-0-slh-18-aptosid-686), e da versão do Debian na qual o aptosid se baseia:
Linux: Instalação do driver Nvidia no Debian e em distros derivadas
Opções para outros tipos de placas:

sudo apt-get install build-essential bison dkms flex linux-headers-`uname -r` make module-init-tools fakeroot nvidia-glx-legacy-173xx nvidia-kernel-legacy-173xx-dkms nvidia-vdpau-driver nvidia-settings nvidia-xconfig

sudo apt-get install build-essential bison dkms flex linux-headers-`uname -r` make module-init-tools fakeroot nvidia-glx-legacy-96xx nvidia-kernel-legacy-96xx-dkms nvidia-vdpau-driver nvidia-settings nvidia-xconfig

sudo apt-get install build-essential bison dkms flex linux-headers-`uname -r` make module-init-tools fakeroot nvidia-glx-legacy-71xx nvidia-kernel-legacy-71xx-dkms nvidia-vdpau-driver nvidia-settings nvidia-xconfig

Após o término do download inicia-se a instalação dos pacotes e é aí que o DKMS entra em ação:
Linux: Instalação do driver Nvidia no Debian e em distros derivadas


Xorg.conf

Copiei o arquivo de configuração 'xorg.conf' que utilizo em todas as distros para a pasta /etc/X11:
Linux: Instalação do driver Nvidia no Debian e em distros derivadas
Mas esqueçam a imagem acima, supondo que vocês tenham saído do ambiente gráfico e ainda como root digitem isso para gerar seu xorg.conf e mova-o para a pasta mencionada:

# X -configure
# mv xorg.conf.new /etc/X11/xorg.conf


Daí reiniciem suas máquinas.

Ao reiniciar já estou com o driver Nvidia ativado com suporte a aceleração 3D e todas as perfumarias típicas:
Linux: Instalação do driver Nvidia no Debian e em distros derivadas
E na imagem abaixo uma visão do módulo gerado pelo DKMS:
Linux: Instalação do driver Nvidia no Debian e em distros derivadas

Atualização do kernel

Sendo o aptosid uma distro baseada no Debian, os mesmos passos abaixo servirão para o Debian e grande parte das distros baseadas em suas versões Stable, Testing e Unstable.

Na imagem abaixo demonstro que o driver Nvidia já estava instalado e ativado, o comando para a instalação|atualização do kernel no aptosid i686 é esse (substitua '686' por 'amd64' caso sua arquitetura seja essa):

sudo apt-get install linux-image-2.6-aptosid-686 linux-headers-2.6-aptosid-686 firmware-linux-free firmware-linux-nonfree
Linux: Instalação do driver Nvidia no Debian e em distros derivadas
* os pacotes 'firmware-linux-free' e 'firmware-linux-nonfree' são opcionais, adicionem apenas se necessitarem deles.

Na imagem a seguir mostra-se a instalação do novo kernel e o trabalho realizado pelo DKMS para criar o módulo automaticamente para ele:
Linux: Instalação do driver Nvidia no Debian e em distros derivadas
Daí basta reiniciar e pronto!

Observação referente ao Debian Lenny/OldStable

Caso algum usuário do Debian Lenny queira realizar um dos passos aqui expoxto, será necessário que baixe o pacote DKMS desse endereço:
e instale com:

sudo dpkg -i dkms*..deb
$ sudo apt-get -f install


ou adicione o repositório Lenny Backports em seu sources.list:

# sudo nano /etc/apt/sources.list

cola isso aqui:

### Debian Lenny/OldStable'.
### Chave GPG: gpg --keyserver hkp://subkeys.pgp.net --recv-keys 16BA136C && gpg --export 16BA136C | sudo apt-key add -
deb http://www.backports.org/debian/ lenny-backports main contrib non-free

Salve e saia com Ctrl+O e Ctrl+X, importe a chave GPG, atualize as listas de pacotes e instalemo pacote DKMS:

gpg --keyserver hkp://subkeys.pgp.net --recv-keys 16BA136C && gpg --export 16BA136C | sudo apt-key add -
$ sudo apt-get update
$ sudo apt-get -t lenny-backports install dkms


e se quiser usar um kernel mais atualizado:

sudo apt-get -t lenny-backports install linux-image-2.6-$arch linux-headers-2.6-$arch

* onde $arch, pode ser i386 ou amd64.

Screenshot

Uma screenshot com um aptosid XFCE todo atualizado com seu kernel padrão: 2.6.38-5-slh-3 + driver Nvidia 270.41.06:
    Próxima página

Páginas do artigo
   1. Instalação
   2. Informações sobre placas de vídeo
Outros artigos deste autor

JIGDO, atualização de uma imagem .iso

KernelCheck - Instalando o kernel mais recente em distros Debian-like e outras

Recuperação de Dados com o PhotoRec

Módulos CPAN no Debian e distros GNU/Linux em geral

Debian Squeeze Backports

Leitura recomendada

Solução de problema em placa de rede Davicom Semiconductor (qualquer distro)

Overclock em placas de vídeo GeForce

Open Hardware: Quem topa o desafio?

Firmware dd-wrt em Linksys WRT54G

Configurando modem PCTel PCI no Linux

  
Comentários
[1] Comentário enviado por mcnd2 em 12/06/2011 - 11:47h

Belo trabalho @edps.

Eu que sempre faço m*rd* (não sei como, só sei que faço, rs!), é muito bom ter um material dessa qualidade para ser consultado.

Favoritado.

[2] Comentário enviado por removido em 12/06/2011 - 12:30h

valeu M¢Nd², obrigado pelo comentário.

[3] Comentário enviado por removido em 14/06/2011 - 14:43h

Parabens pelo artigo, edps

Favoritado.


[4] Comentário enviado por removido em 14/06/2011 - 22:07h

Valeu Josinaldo, thanks man!

[]'s

[5] Comentário enviado por Alexandra241 em 15/06/2011 - 11:02h

edps, segui os procedimentos no ubuntu 11.04 e não obtive sucesso! Tenho uma geforce MX4000! Quero rodar o Nvidia driver, já tentei o 96! Mas não deu certo..tá tudo zoneado! Ao iniciar não mostra o logo "Ubuntu" e sim umas listras cinzas na vertical..Tá rodando muito mal o Nouveau =/. Tem alguma dica pra me dar ? Eu até tirei o nouveau, mas ai a tela ficou preta de tudo, ou seja, nada modo gráfico ! Tô perdidaça se puderem me ajudar!

[6] Comentário enviado por removido em 15/06/2011 - 17:21h

Em momento algum eu citei o Ubuntu durante o artigo, somente Debian e distros baseadas em alguma versão do Debian caso do aptosid (Unstable), antiX e LMDE (Testing) ou CrunchBang e MEPIS (Stable).

O Ubuntu embora seja uma distro Debian-like não baseia-se em um versão específica do Debian, apenas utiliza pacotes congelados do SID/Unstable e contrói sua base de pacotes, inclusive a nomenclatura dos pacotes são diferentes, veja se o seu caso não é esse:

nvidia-96-modaliases

dos possíveis veja a página a seguir:

http://packages.ubuntu.com/search?suite=default§ion=all&arch=any&searchon=names&keywords=nvidia

ou se quiser tentar adicione essa PPA no seu sources.list:

$ sudo gedit /etc/apt/sources.list

cola isso:

### X Updates - https://launchpad.net/~ubuntu-x-swat/+archive/x-updates/
### Chave GPG: sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys AF1CDFA9
deb http://ppa.launchpad.net/ubuntu-x-swat/x-updates/ubuntu natty main
deb-src http://ppa.launchpad.net/ubuntu-x-swat/x-updates/ubuntu natty main

salva, fecha o arquivo e:

$ sudo apt-get update

depois veja se em Hardware Drivers não aparece o driver correto, caso não exiba visite a página abaixo e cheque os nomes corretos:

http://ppa.launchpad.net/ubuntu-x-swat/x-updates/ubuntu/pool/main/n/


provavelmente deve ser um desses:

nvidia-96-modaliases nvidia-96 nvidia-glx-96 nvidia-graphics-drivers-96

ou

nvidia-173-modaliases nvidia-173 nvidia-glx-173 nvidia-graphics-drivers-173

[7] Comentário enviado por Alexandra241 em 16/06/2011 - 11:08h

epds, fiz como você me disse..adicinei na source list essas linhas..e na hora do update, ele me retorna isso:

Reading package lists... Done
W: GPG error: http://ppa.launchpad.net natty Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 3B22AB97AF1CDFA9

Ai fui pra alternativa dos pacotes..e tenho isso:

root@alexandra:/home/alexandra# apt-get install nvidia-96-modaliases nvidia-96 nvidia-glx-96 nvidia-graphics-drivers-96
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package nvidia-96-modaliases is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
nvidia-96

E: Package 'nvidia-96-modaliases' has no installation candidate
E: Unable to locate package nvidia-graphics-drivers-96

e


root@alexandra:/home/alexandra# apt-get install nvidia-96
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
nvidia-96 : Depends: xorg-video-abi-8.0 but it is not installable
Depends: xserver-xorg-core (>= 2:1.8.99.905-1ubuntu3) but it is not going to be installed
E: Broken packages


Tô quase mudando de distruição..=/, Linux Mint Debian...



[8] Comentário enviado por flavioacrj em 16/06/2011 - 12:25h

Olá, uso debian squeeze, com placa de vídeo fx 5500.
Quando dou o comando apt-get upgrade retorna o seguinte:
imagemagick (8:6.6.9.7-3) unstable; urgency=low

Please note that imagemagick version 6.6.9.7 has moved its global
configuration files from /usr/share/imagemagick to /etc/ImageMagick,
following the FHS. See the package imagemagick-doc or
http://www.imagemagick.org/script/resources.php for more information
on configuring ImageMagick.
.
This will lose any changes you may have made to these files,
in the extremely unlikely case that you have customized them (doing so
was not officially supported by either upstream or Debian versions
before 6.6.9).

-- Bastien Roucariès <roucaries.bastien+debian@gmail.com> Sun, 01 May 2011 13:43:12 +0200

/tmp/tmp_zeNnT (END)

A partir desse momento, eu não consigo continuar. Por favor, o que eu faço para continuar instalando o driver?

[9] Comentário enviado por removido em 16/06/2011 - 19:10h

@Alexandra241,

você deve ter pulado a parte da importação da chave GPG, basta isso:

$ sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys AF1CDFA9
$ sudo apt-get update

sobre o pacote, verifique novamente se após o apt-get update será possível instalar um desses pacotes.

* desculpe-me se não conseguir te ajudar a contento, mas o fato é que não uso Ubuntu, o que sei sobre esses pacotes foi pesquisando na própria página da PPA.




@flavioacrj,

nessa parte ' imagemagick (8:6.6.9.7-3) unstable; urgency=low ..... ' basta teclar 'q' pois isso acho que é um informativo do apt-file que relata alterações nos pacotes, após teclar 'q'a instalação prosseguirá.

[10] Comentário enviado por flavioacrj em 17/06/2011 - 08:46h

Obrigado, edps.
Estou tentando usar outra distro.
Um abraço.

[11] Comentário enviado por Alexandra241 em 18/06/2011 - 19:52h

No stress edps!

O fórum é muito bom! Gosto muito! Sempre achei tudo já explicado..e etc! Os artigos são ótimos! E também esse ubuntu é "novo"...daqui a pouco aparecem soluções!

Mas por agora..a minha decisão foi migrar! Existe muito a ser descoberto no mundo livre!

[12] Comentário enviado por removido em 05/11/2011 - 16:31h

Vejam como instalar no Debian Squeeze um Kernel mais atualizado e esses drivers Nvidia no artigo publicado em meu blog:

http://gnu2all.blogspot.com/2011/11/kernel-atualizado-no-debian-squeeze-1.html

[13] Comentário enviado por removido em 10/10/2016 - 03:33h

Encontrei o artigo para tentar instalar o driver proprietário Nvidia 820M no Jessie e ainda estou tentando acertar o carregamento.
Precisei baixar os pacotes do Debian para compilação, dkms etc.
Só não deu certo baixar pacotes NVidia do Debian.

Para estes há conflito: um reclama do outro.
Como se diz naquele filme: só pode haver um.

----------------------------------------------------------------------------------------------------------------
Nem direita, nem esquerda. Quando se trata de corrupção o Brasil é ambidestro.
(anônimo)

Encryption works. Properly implemented strong crypto systems are one of the few things that you can rely on. Unfortunately, endpoint security is so terrifically weak that NSA can frequently find ways around it. — Edward Snowden


Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts